### Type Parameters

### Hierarchy

- SearchComponentDatasource

## Index

### Properties

- bloodhoundOptions
- datasetTitle
- groupActions
- groupValues
- labelKey
- projection
- typeaheadDatasetOptions
- url

## Properties

### bloodhoundOptions

bloodhoundOptions: BloodhoundOptions<FeatureCollection<Geometry, {}>>

- Defined in src/options.js:796

The optional Bloodhound configuration for this data set. See: https://github.com/twitter/typeahead.js/blob/master/doc/bloodhound.md

### datasetTitle

datasetTitle: string

- Defined in src/options.js:809

### groupActions

groupActions: SearchAction[]

- Defined in src/options.js:802

List of allowed actions. The list may contain a combination of `add_theme`, `add_group` or `add_layer`

### groupValues

groupValues: string[]

- Defined in src/options.js:800

Possible values for the 'layer_name' key. Used to define groups of dataset.

### labelKey

labelKey: string

- Defined in src/options.js:798

The name of a corresponding GeoJSON property key in the current dataset. The bound value of this property key will be used as label.

### projection

projection: string

- Defined in src/options.js:804

The geometry's projection for this set of data.

### typeaheadDatasetOptions

typeaheadDatasetOptions: Dataset<Feature<Geometry>>

- Defined in src/options.js:805

The optional Twitter.Typeahead. configuration for this dataset. See: https://github.com/twitter/typeahead.js/blob/master/

### url

url: string

- Defined in src/options.js:807

URL of the search service. Must contain a '%QUERY' term that will be replaced by the input string.

Generated using TypeDoc